MEMORY
{
  RAM : ORIGIN = 0x08000000, LENGTH = 32M
}

ENTRY(Entrypoint);

SECTIONS
{
  .ibugger_header ORIGIN(RAM) :
  {
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);
    LONG(0xdeadbeef);

    KEEP(*(.ibugger_header.entrypoint));
  } > RAM

  .text :
  {
    *(.text .text.*);
  } > RAM

  .data :
  {
    *(.data .data.*);
    *(.bss .bss.*);
    *(.rodata .rodata.*);
  } > RAM

  _stack = ORIGIN(RAM) + LENGTH(RAM);

  /DISCARD/ :
  {
    *(.ARM .ARM.*);
    *(.comment);
  }
}
